Warning, /education/khangman/CMakeLists.txt is written in an unsupported language. File is not indexed.

0001 cmake_minimum_required(VERSION 3.16)
0002 
0003 # KDE Application Version, managed by release script
0004 set(RELEASE_SERVICE_VERSION_MAJOR "23")
0005 set(RELEASE_SERVICE_VERSION_MINOR "03")
0006 set(RELEASE_SERVICE_VERSION_MICRO "70")
0007 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
0008 
0009 set(QT_MIN_VERSION "5.15.2")
0010 set(KF5_MIN_VERSION "5.90.0")
0011 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
0012 project(khangman VERSION ${RELEASE_SERVICE_VERSION})
0013 
0014 find_package(ECM ${KF5_MIN_VERSION} NO_MODULE REQUIRED)
0015 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
0016 
0017 include(KDEInstallDirs)
0018 include(KDECMakeSettings)
0019 include(KDECompilerSettings NO_POLICY_SCOPE)
0020 include(ECMInstallIcons)
0021 include(GenerateExportHeader)
0022 include(ECMAddAppIcon)
0023 include(ECMSetupVersion)
0024 include(ECMDeprecationSettings)
0025 
0026 include(FeatureSummary)
0027 set(CMAKE_CXX_STANDARD 17)
0028 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
0029 
0030 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Qml Quick QuickWidgets Svg)
0031 
0032 
0033 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
0034     I18n
0035     Crash
0036     Completion
0037     Config
0038     CoreAddons
0039     ConfigWidgets
0040     NewStuff
0041     Notifications
0042     XmlGui
0043     KIO
0044 )
0045 find_package(KF5DocTools ${KF5_MIN_VERSION})
0046 set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
0047     "Tools to generate documentation"
0048     TYPE OPTIONAL
0049 )
0050 find_package(LibKEduVocDocument REQUIRED)
0051 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
0052 ecm_set_disabled_deprecation_versions(QT 5.15.2  KF 5.101.0)
0053 
0054 add_subdirectory( src )
0055 
0056 add_subdirectory( themes )
0057 add_subdirectory( fonts )
0058 
0059 add_subdirectory( icons )
0060 
0061 add_subdirectory( languages )
0062 
0063 ki18n_install(po)
0064 if (KF5DocTools_FOUND)
0065     kdoctools_install(po)
0066     add_subdirectory(doc)
0067 endif()
0068 
0069 install(FILES org.kde.khangman.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
0070 
0071 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)